FooterPartitionPack (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface FooterPartitionPack

- All Superinterfaces:
    Cloneable, MetadataObject, MXFUnit, Padded, PartitionPack
  All Known Subinterfaces:
    FooterClosedCompletePartitionPack, FooterClosedIncompletePartitionPack
  All Known Implementing Classes:
    FooterClosedCompletePartitionPackImpl, FooterClosedIncompletePartitionPackImpl, FooterPartitionPackImpl

      public interface FooterPartitionPack
      extends PartitionPack, Cloneable

  Represents the description of a footer partition, including its size and what it contains.

  See Also:
    `BodyPartitionPack`, `HeaderPartitionPack`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `BODYSID_DEFAULT, FOOTERPARTITION_DEFAULT, HEADERBYTECOUNT_DEFAULT, INDEXBYTECOUNT_DEFAULT, INDEXSID_DEFAULT, MAJORVERSION_DEFAULT, MINORVERSION_DEFAULT, PREVIOUSPARTITION_DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FooterPartitionPack` | `clone()` Create a cloned copy of this footer partition pack.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `addEssenceContainer, getBodyOffset, getBodySID, getEncodedSize, getEssenceContainers, getFooterPartition, getHeaderByteCount, getIndexByteCount, getIndexSID, getKagSize, getMajorVersion, getMinorVersion, getOperationalPattern, getPreviousPartition, getThisPartition, setBodyOffset, setBodySID, setEssenceContainers, setFooterPartition, setHeaderByteCount, setIndexByteCount, setIndexSID, setKagSize, setMajorVersion, setMinorVersion, setOperationalPattern, setPreviousPartition, setThisPartition`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.MXFUnit

      `getUnitType`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Padded

      `getPaddingFillSize, setPaddingFillSize`

- - ### Method Detail

    - #### clone

          FooterPartitionPack clone()

      Create a cloned copy of this footer partition pack.

      Specified by:
        `clone` in interface `PartitionPack`
      Returns:
        Cloned copy of this footer partition pack.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.